## org.apache.batik.transcoder.wmf.tosvg
Class WMFFont

    java.lang.Object
      org.apache.batik.transcoder.wmf.tosvg.WMFFont

    public class WMFFont

extends java.lang.Object

Represent a WMF Font, encountered in a Metafile.

Field Summary
`int` `charset`
`int` `escape`
`java.awt.Font` `font`
`int` `italic`
`int` `orientation`
`int` `strikeOut`
`int` `underline`
`int` `weight`

Constructor Summary
`WMFFont(java.awt.Font font, int charset)`
`WMFFont(java.awt.Font font, int charset, int underline, int strikeOut, int italic, int weight, int orient, int escape)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### font

    public java.awt.Font font

### charset

    public int charset

### underline

    public int underline

### strikeOut

    public int strikeOut

### italic

    public int italic

### weight

    public int weight

### orientation

    public int orientation

### escape

    public int escape

Constructor Detail

### WMFFont

    public WMFFont(java.awt.Font font,
                   int charset)

### WMFFont

    public WMFFont(java.awt.Font font,
                   int charset,
                   int underline,
                   int strikeOut,
                   int italic,
                   int weight,
                   int orient,
                   int escape)

Copyright © 2008 Apache Software Foundation. All Rights Reserved.